Skip to main content
Monitoring & Collection/Zaku
PUTZakuSince 1.0SynchronousAuth Required

ConfigureRemoteWrite

Configure the Prometheus remote-write endpoint settings

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • platformIdStringRequired

    Platform ID for which to configure remote-write

    Example: plat-001

  • configStringRequired

    YAML or JSON configuration for Prometheus remote-write

    Example: remote_write: - url: http://prometheus:9090/api/v1/write

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/zaku/prometheus-remote-write

/api/v1/zaku/prometheus-remote-write

Operation ID

ConfigureRemoteWrite

Permalink

Request Example

curl -X PUT '{host}/api/v1/zaku/prometheus-remote-write' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"platformId":"plat-001","config":"remote_write:\n  - url: http://prometheus:9090/api/v1/write"}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history